#!/usr/bin/env node

/**
 * Test for index.js
 * Runs with nodeunit.
 */

"use strict";


var worker = require('./index.js'),
    fs = require('fs');

exports['Run worker'] = function (test) {
    var workDirname = ('tmp/_test_work_dir' + new Date());
    worker({
        logger:{
            debug:function(){}
        }
    }, [
        __dirname,
        workDirname
    ], function (err) {
        fs.rmdir(workDirname);
        test.ifError(err);
        test.done();
    });
};

